//###########################################################################
//
// FILE:    board.h
//
// TITLE:   Board header file.
//
// VERSION: 1.0.0
//
// DATE:    2025-01-15
//
//###########################################################################
// $Copyright:
// Copyright (C) 2024 Geehy Semiconductor - http://www.geehy.com/
//
// You may not use this file except in compliance with the
// GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
//
// The program is only for reference, which is distributed in the hope
// that it will be useful and instructional for customers to develop
// their software. Unless required by applicable law or agreed to in
// writing, the program is distributed on an "AS IS" BASIS, WITHOUT
// ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
// See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
// and limitations under the License.
// $
//###########################################################################
#ifndef BOARD_H
#define BOARD_H

//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//*****************************************************************************
#ifdef __cplusplus
extern "C"
{
#endif

//
// Included Files
//

#include "driverlib.h"
#include "device.h"


//*****************************************************************************
//
// GPIO Configurations
//
//*****************************************************************************
#define GPIO_PIN_PWM1_A 0
#define GPIO_PIN_PWM1_B 1
#define GPIO_PIN_PWM2_A 2
#define GPIO_PIN_PWM2_B 3
#define GPIO_PIN_PWM3_A 4
#define GPIO_PIN_PWM3_B 5
#define GPIO_PIN_PWM4_A 6
#define GPIO_PIN_PWM4_B 7

//*****************************************************************************
//
// PWM Configurations
//
//*****************************************************************************
#define myPWM1_BASE PWM1_BASE
#define myPWM2_BASE PWM2_BASE
#define myPWM3_BASE PWM3_BASE
#define myPWM4_BASE PWM4_BASE

//*****************************************************************************
//
// Board Configurations
//
//*****************************************************************************
void    Board_init();
void    PWM_init();
void    INPUTXBAR_init();
void    SYNC_init();
void    PinMux_init();

//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef __cplusplus
}
#endif

#endif  // end of BOARD_H definition

